
	<script>
	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/allinvoices";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

    // document.body.innerHTML = printContents.fontsize(16);
  

	 if( window.print()) {
         window.location.href = "../user/allinvoices";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/allinvoices";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
 <style type="text/css">
      #myprint { display: none; }
  
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		height:auto;
		
		
    }
  #rcorners {

    border-collapse:separate;
    border:solid black 1px;
    border-radius:6px;
    -moz-border-radius:6px;
	   border-left:solid black 1px;


  }
  

    #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;10px;

    width:100%; height:50px;



}
.doted{
    border: dotted 3px #000000;
}
table { border-collapse: collapse; }
td { padding: 5px; }
#maintable tr { border-bottom:0px dashed #494949; padding:5px;}


table{
    border-collapse:collapse;/*This property collapses borders together*/
}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
#myalltitle { font-size: 2em; }
#alltitle{ font-size: 1em; }
	#mytitle { font-size: 1.4em; }

    
    {
		
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:10; width:100%; }
		  margin:0; 
		#receipt{
	font-style: normal;font-size: 1.5em;
	
	padding:0px;
	
}
    }
    </style>
<?PHP

 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	


								$profile = $this->usermodel->populateallarray('smsconfig','id',$companyid);

									$photo=$profile[0]['logo'];
									$img=$profile[0]['logo'];
									
 echo $this->session->flashdata('imagemsg1'); 
		 
		    


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];
   
   $data['branchid'] = $session_data['branchid'];
	 $branchid = $data['branchid'];	

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);

																 $countbranch=$this->usermodel->countbranches($companyid);
				
?>
 
 <div class="row">

 

   	<div class="col-md-12">
		 <div class="pull-right" id="non-printable"  >
<form name="print" method="post" action="">
 <input type="submit" id="print"  accesskey="p" class="btn btn-primary"  name="print"onclick="printDiv('printableArea')" value="Print Invoice!" />
                   
 
 </form>
                    <a class="btn btn-info"  href="<?php echo base_url(); ?>user/viewsales">NEXT SALE</a>

 <a href="<?php echo base_url(); ?>user/allinvoices">Go Back to all invoices</a>
                   <a href="<?php echo base_url(); ?>user/mysales">Or Cashier Sales</a>

 </div>
  	
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
						<!--
				<tr>
				<td colspan="6">
				
				<?php
$img1='uploads/';
	$url = base_url().$img1.$img;
	
if($photo!=""){
	
	?>
	
 <div>
<img class="img-circle" src="<?php echo $url ?>" height="150" width="100%" style="border-radius:4px;margin:0px  ">		 

</div>
<?php
 
 }
 ?>
				
				</td>
				
				</tr>
				-->
						<tr>
					<td colspan="3" style="width:70%" valign="top">

<?php
$img1='uploads/';
	$url = base_url().$img1.$img;
	
if($photo!=""){
	
	?>
	
 <div>

<img class="img-circle" src="<?php echo $url ?>" height="100" width="auto" style="border-radius:4px;margin:0px  ">		 

</div>
<?php
 
 }
 ?>
					<?php 
										 if( $countbranch>1){
										 $mybranches= $this->usermodel->populateallarray('branch','id',$branchid);
										$branchdescription=$mybranches[0]['invoice']; if(isset($branchdescription)) {
											
											
											   echo strtoupper($branchdescription); }


										}else{
 						$description=$configuration[0]['description']; if(isset($description)) {  echo $description; }

											 
										 }
										 $user=$this->usermodel->populateallarray('people','id', $userid);
						$donebynames=$user[0]['firstname'];
						
						
										?>
					
						</td>
						
						<td colspan="2" style=" width:30%" valign="bottom">
															<h2 style="margin:2px;"> QUOTATION 	</h2>
															
														<table border="1" width="100%" id="rcorners" style="padding:0px; cellpadding:0px;margin:0px; cellpadding:0; cellspacing:0;">
															
															<tr><td>  NO </td><td> <?php echo$viewreceipt[0]['id'];?></td>	</tr>
															<tr><td>DATE </td><td>  <?php $myypostedtime= $viewreceipt[0]['dateposted']; echo date("d/m/Y", strtotime($myypostedtime));?></td>	</tr>
															
 	<?php $mypin= $configuration[0]['address']; 
if(	 $mypin!=""){
?>
															<tr><td>PIN </td><td> <?php echo$mypin;?></td>	</tr>

 
<?php
};			 
				 

							?>
															
															
															
															
															
															
															<tr><td>REF NO</td><td> <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?></td>	</tr>
															<tr><td>LPO NO: </td><td> </td>	</tr>
														 	<?php $mypin= $configuration[0]['address']; 
if($viewreceipt[0]['salesperson'] !=0){
		$user=$this->usermodel->populateallarray('people','id', $viewreceipt[0]['salesperson']);
						$MYnames=$user[0]['firstname'];
?>
															<tr><td>SALES REP </td><td> <?php echo$MYnames;?></td>	</tr>

 
<?php
};			 
				 

							?>
															</table>
															
					
						</td>
						
						</tr>
						
					<TR >
					<td colspan="6">
					<hr style="border-top: 2px solid gray;margin:0px;padding:0px">

					</td>
					</TR>
						<tr >
						
					
						<td colspan="3" id="mytitle" style="valign:top">
						<B>Billing To:</B>
					
						<?php 

						$customer=$viewreceipt[0]['customer'];
							$customername=$viewreceipt[0]['name'];
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						$alldetais="";
														
														
					
					
						 
						 if($mysupplier[0]['company']!=""){
							 $alldetais.= $mysupplier[0]['company']."<br>";
						 }
						  if($mysupplier[0]['firstname']!=""){
							 $alldetais.= $mysupplier[0]['firstname']." ". $mysupplier[0]['surname']."<br>";
						 }
						  if($mysupplier[0]['idno']!=""){
							 $alldetais.= $mysupplier[0]['idno']."<br>";
						 }
						  if($mysupplier[0]['phone']!=""){
							 $alldetais.= $mysupplier[0]['phone']."<br>";
						 } if($mysupplier[0]['email']!=""){
							 $alldetais.= $mysupplier[0]['email']."<br>";
						 }
						  if($mysupplier[0]['website']!=""){
							// $alldetais= $mysupplier[0]['website']."<br>";
						 }
						  if($mysupplier[0]['zip']!=""){
							// $alldetais.= $mysupplier[0]['zip']."<br>";
						 }
						   if($mysupplier[0]['code']!=""){
							 $alldetais.= $mysupplier[0]['code']."<br>";
						 }
						 
						  if($mysupplier[0]['city']!=""){
							 $alldetais.= $mysupplier[0]['city']."<br>";
						 }
						
						  if($mysupplier[0]['comments']!=""){
							 $alldetais.= $mysupplier[0]['comments']."<br>";
						 }
						 
						   if($customername!=""){
							 //$alldetais.= $customername;
						 }
						 	
													echo "<br>".$alldetais;

						//echo "<br>".$comments=$mysupplier[0]['comments'];
							?>
						
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3"  id="mytitle" valign="top" >
							<B><br>
						
						 <?php echo$viewreceipt[0]['description'];?><BR>
						
						</B>
	
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
							
											

										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%; border-bottom: none;" id="maintable" >

							
						
							<tr  class="heading">
							
<?php 
if($displaycode==true){
	 ?>
<td style="color:blue" align="center" width="20%" ><b>CODE</b></td>
<td align="center" width="40%"><b>ITEM DESCRIPTION </b></td>
	 	<?php
		}else{?>
	<td colspan="2" align="center" width="60%"><b>ITEM DESCRIPTION</b></td>
 <?php
 }
 ?>


 <td align="center" width="10%"><b>QTY</b></td>
							<!--	<td><b>Disc %</b></td>-->
								<td align="center" width="15%"><b>UNIT PRICE</b></td>
								<td align="center"  width="15%"><b>AMOUNT</b></td>
							</tr>
					
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
    $myttvatable=0;
  $totalexemptedcost=0;
   $totaltax=0;
  $totalvatcost2=0;
  	foreach ($viewsales as $c): 

		  $myttvatable=$myttvatable+$c->taxable;
   	$totalvatcost2=$totalvatcost2+$c->tax2;

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top"  id="mytitle">
											
											<?php 
if($displaycode==true){
	 ?>
									<td><?php echo $c->code ; ?></td>

													    <td><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  if($c->description !=""){
	  echo " -".$c->description ;
	  
  }
   if( $c->address !=""){
	 echo "-".$c->address;
	 
 }
   if($c->serial!=""){
		
		echo " S/N-".$c->serial;
	}
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" ><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
    if($c->description !=""){
	  echo " -".$c->description ;
	  
  }
   if( $c->address !=""){
	 echo "-".$c->address;
	 
 }
  if($c->serial!=""){
		
		echo " S/N-".$c->serial;
	}

  ?></td>
 <?php
 }
 ?>

										<td><?php echo $c->qty ; ?></td>
												
<!--
												<td><?php echo $c->discount ; ?></td>
												
												-->
										 	 <td  align="right"  ><?php 
												 echo   formatMoney($c->sprice, true); 


											 ?></td>
											 	 <td align="right" ><?php
												 
												 //echo $c->amount ; 
											// $totalcost=$totalcost+$c->amount ;

												  $mytotal= $c->qty*$c->sprice ;
												 
												 echo   formatMoney($mytotal, true); 
												  $totalcost=$totalcost+$mytotal ;
												 
												 $totaltax=$totaltax+$c->tax ;
												 $mytaxrate=$c->tax ;
												 
												 if(($mytaxrate!=0)||($mytaxrate!="")){
													 
													 $totalvatcost=$totalvatcost+$c->amount;
												 }
												  if(($mytaxrate==0)||($mytaxrate=="")){
													 
													 $totalexemptedcost=$totalexemptedcost+$c->amount;
												 }

												 ?></td>
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
	
			  
							  <tr border="1">
					<td colspan="2"   height="300px"></td>
					<td colspan="1"   height="300px"></td>
					<td colspan="1"   height="300px"></td>
					<td colspan="1"   height="300px"></td>
					</tr>
								
	
							<?php
						$display1=$configuration[0]['display1']; 
						$display2=$configuration[0]['display2']; 

						if(	$display1=="yes"){
						
						?>
						
							


								<tr style=" border-left-style: none;">
								
								<td colspan="2" border="1"rowspan="5" valign="top" style="border-bottom-color: white; border-left:2px dashed #FFFFFF;">
								<!--<span id="mytitle">
							<h3>Terms and Conditions.</h3>
								</span>
								-->
														<div>
<?php $invoicedetails=$configuration[0]['invoicedetails']; if(isset($invoicedetails)) {echo   $invoicedetails; }?><br>

									
											
										

							
						
							
</div>
								
								
								
								</td>
								
							

								
								
							
									</tr>
									
								
									<?php 
						$display1=$configuration[0]['display1']; 
						$mydiscount=$viewreceipt[0]['discountedtotal'];
															
															$total=$viewreceipt[0]['total']; 
						if(	$display1=="yes"){
						
						?>
						
							

							
						<tr><td colspan="2"><B>SUB TOTAL</B></td><td align="right"><b>	<?php

						
							if(isset($totalcost)) {echo   formatMoney($totalcost-$totaltax, true); }
						
						
						?></b></td>	</tr>


								<tr><td colspan="2"><B>VAT TOTAL	</B></td><td align="right"><B><?php if(isset($totaltax)) {  echo formatMoney($totaltax, true) ;}?></B></td>	</tr>
									<tr><td colspan="2"><B>TAX RATE</B></td><td align="right"><B>	<?php $tax1rate=$configuration[0]['tax1rate']; if(isset($tax1rate)) {echo  formatMoney($tax1rate, true) ;}?>%</B></td>	</tr>
									<!--
								<tr><td><B>VATABLE AMT:</B></td><td align="right"><B><?php if(isset($totalvatcost)) { $vatable=($totalvatcost-$totaltax);echo formatMoney($vatable, true) ; }?></B></td>	</tr>

								<tr><td><B>EXEMPT  AMT:</B></td><td align="right"><B>	<?php if(isset($totalexemptedcost)) {  echo formatMoney($totalexemptedcost, true) ;}?></B></td>
-->
<tr><td colspan="2"><B>FINAL TOTAL</B></td><td align="right"><B>	<?php if(isset($total)) {echo  formatMoney($total, true) ;}?></B></td>	</tr>

								</tr>

								
								<?php
									}
									?>
								








								</b>
							</td>
							
							</tr>
							
									<?php
									}else{
									    	?>
									    
									    
									    
								  <tr style=" border-left-style: none  important;;"  class="highlight">
								<td colspan="3" id="mytitle"> <b> GRAND TOTAL AMOUNT: </b></td>

								
								
							<td colspan="2" id="myalltitle"> <b class="pull-right">
							
															<?php 
															$mydiscount=$viewreceipt[0]['discountedtotal'];
															
															$total=$viewreceipt[0]['total']; 
															if(isset($totalcost)) {echo   formatMoney($totalcost, true); }?>
											
									</b>
							</td>
							
							</tr>
									    
									    
									 	<?php   
									}
									?>
									
			  
								
				
								
						
							
							
						
							
							
							
							
							
				
									</tbody>
									
									
					</table>
													<div>
													
<!--
												<br>Prepared by:------<i><b><?php  echo $donebynames; ?></b></i>--Date---<i><b><?php  echo date("d/m/Y", strtotime($myypostedtime)); ?></b></i>-----------Sign:-----------------</br></br>

																Received by:------------------------------Date----------------------Sign:------------------</br>								

-->											
										

							
						
							
</div>							
 


					
					
					
					
					
			<div>
		
					
					
					
					
				</div>
			</div>
			</div>
		</div>
  
  </div>
 </div>
 </div> 
			
			
		
	<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/allinvoices";
 }else{
	  //       window.location.href = "../user/allinvoices";
 
 }
});
</script>	

















